Package org.apache.ignite.internal.processors.cache.distributed.dht

## Interface GridReservable

All Known Implementing Classes:
  `GridDhtLocalPartition`, `GridDhtPartitionsReservation`, `GridJobProcessor.PartitionsReservation`

    public interface GridReservable

Reservations support.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `release()` Releases.
`boolean` `reserve()` Reserves.

### Method Detail

#### reserve

    boolean reserve()

Reserves.

Returns:
  `true` If reserved successfully.

#### release

    void release()

Releases.